# FoundationClasses
TKernel
Quantity

# Quantity_Array1OfCoefficient Class Reference

`#include <Quantity_Array1OfCoefficient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Quantity_Array1OfCoefficient (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Quantity_Array1OfCoefficient (const Quantity_Coefficient &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Quantity_Coefficient &V)
Standard_EXPORT void | Destroy ()
| ~Quantity_Array1OfCoefficient ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const Quantity_Array1OfCoefficient & | Assign (const Quantity_Array1OfCoefficient &Other)
const Quantity_Array1OfCoefficient & | operator= (const Quantity_Array1OfCoefficient &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Quantity_Coefficient &Value)
const Quantity_Coefficient & | Value (const Standard_Integer Index) const
const Quantity_Coefficient & | operator() (const Standard_Integer Index) const
Quantity_Coefficient & | ChangeValue (const Standard_Integer Index)
Quantity_Coefficient & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | Quantity_Array1OfCoefficient (const Quantity_Array1OfCoefficient &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT Quantity_Array1OfCoefficient::Quantity_Array1OfCoefficient | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Quantity_Array1OfCoefficient::Quantity_Array1OfCoefficient | ( | const Quantity_Coefficient & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Quantity_Array1OfCoefficient::~Quantity_Array1OfCoefficient | ( |  | ) | `[inline]`

Standard_EXPORT Quantity_Array1OfCoefficient::Quantity_Array1OfCoefficient | ( | const Quantity_Array1OfCoefficient & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const Quantity_Array1OfCoefficient& Quantity_Array1OfCoefficient::Assign | ( | const Quantity_Array1OfCoefficient & | Other | ) |

Quantity_Coefficient& Quantity_Array1OfCoefficient::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Quantity_Array1OfCoefficient::Destroy | ( |  | ) |

Standard_EXPORT void Quantity_Array1OfCoefficient::Init | ( | const Quantity_Coefficient & | V | ) |

Standard_Boolean Quantity_Array1OfCoefficient::IsAllocated | ( |  | ) | const

Standard_Integer Quantity_Array1OfCoefficient::Length | ( |  | ) | const

Standard_Integer Quantity_Array1OfCoefficient::Lower | ( |  | ) | const

void Quantity_Array1OfCoefficient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Quantity_Array1OfCoefficient::operator new | ( | size_t | size | ) | `[inline]`

void* Quantity_Array1OfCoefficient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Coefficient& Quantity_Array1OfCoefficient::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Quantity_Coefficient& Quantity_Array1OfCoefficient::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Quantity_Array1OfCoefficient& Quantity_Array1OfCoefficient::operator= | ( | const Quantity_Array1OfCoefficient & | Other | ) | `[inline]`

void Quantity_Array1OfCoefficient::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Coefficient & | Value
| ) |

Standard_Integer Quantity_Array1OfCoefficient::Upper | ( |  | ) | const

const Quantity_Coefficient& Quantity_Array1OfCoefficient::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean Quantity_Array1OfCoefficient::isAllocated `[private]`

Standard_Integer Quantity_Array1OfCoefficient::myLowerBound `[private]`

Standard_Address Quantity_Array1OfCoefficient::myStart `[private]`

Standard_Integer Quantity_Array1OfCoefficient::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- Quantity_Array1OfCoefficient.hxx